LibreOffice: salhelper::ReferenceObject Class Reference

LibreOffice LibreOffice 6.0 SDK C/C++ API Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
salhelper::ReferenceObject Class Reference

A base implementation for reference-counted objects. More...

`#include <refobj.hxx>`

## Public Member Functions
| ReferenceObject ()
| Construction. More...
void | acquire ()
void | release ()

## Static Public Member Functions
static void * | operator new (size_t n)
| Allocation. More...
static void | operator delete (void *p)
static void * | operator new (size_t, void *p)
static void | operator delete (void *, void *)

## Protected Member Functions
virtual | ~ReferenceObject ()
| Destruction. More...

## Detailed Description

A base implementation for reference-counted objects.

Deprecated:
  use salhelper::SimpleReferenceObject instead

## Constructor & Destructor Documentation

## ◆ ReferenceObject()

salhelper::ReferenceObject::ReferenceObject | ( |  | ) |
| inline

Construction.

## ◆ ~ReferenceObject()

virtual salhelper::ReferenceObject::~ReferenceObject | ( |  | ) |
| inlineprotectedvirtual

Destruction.

## Member Function Documentation

## ◆ acquire()

void salhelper::ReferenceObject::acquire | ( |  | ) |
| inline

## ◆ operator delete() [1/2]

static void salhelper::ReferenceObject::operator delete | ( | void * | p | ) |
| inlinestatic

## ◆ operator delete() [2/2]

static void salhelper::ReferenceObject::operator delete | ( | void * | ,
|  | void * |
| ) |  |
| inlinestatic

## ◆ operator new() [1/2]

static void* salhelper::ReferenceObject::operator new | ( | size_t | n | ) |
| inlinestatic

Allocation.

## ◆ operator new() [2/2]

static void* salhelper::ReferenceObject::operator new | ( | size_t | ,
|  | void * | p
| ) |  |
| inlinestatic

## ◆ release()

void salhelper::ReferenceObject::release | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- salhelper/refobj.hxx